import 'package:test/test.dart';

import 'test_utils.dart';

void main() {
  logSetUp();
  group('Choice Text', () {
    setUp(() {});

    test('No Choice', () {
      var errors = <String>[];
      var text = runStory('choices/no-choice-text.ink.json', null, errors);
      expect(errors, isEmpty);
    });

    test('one', () {
      var errors = <String>[];
      var text = runStory('choices/one.ink.json', null, errors);
      //expect(errors, isEmpty);
      expect(text, isNotEmpty);
    });

    test('multi choice', () {
      var errors = <String>[];
      var text = runStory('choices/multi-choice.ink.json', [], errors);
      //expect(errors, isEmpty);
      expect(text, isNotEmpty);
    });
  });
}
