import 'dart:convert';

import 'package:ink_runtime/ink.dart';
import 'package:test/test.dart';

import '../../../runtime_tests.dart';
import '../inkfiles/compiled/inkjs/tests.ink.json.dart' as $tests;

void main() {
  group('Glue', () {
    late Story story;
    setUp(() async {
      story = await createStory(jsonEncode($tests.json));
    });
    test('should glue lines together', () {
      story.ChoosePathString('glue.simple');

      expect(story.Continue(), 'Simple glue\n');
    });

    test('should glue diverts together', () {
      story.ChoosePathString('glue.diverted_glue');

      expect(story.Continue(), 'More glue\n');
    });
  });
}
